# HG changeset patch
# Node ID a67a7f977ebc
# Parent  2740d7f39599
diff --git a/hugo/content/about/security/_index.md b/hugo/content/about/security/_index.md
--- a/hugo/content/about/security/_index.md
+++ b/hugo/content/about/security/_index.md
@@ -22,6 +22,9 @@
 
 * **Our preferred way:** Emailing
   [security@pidgin.im](mailto:security@pidgin.im).
+  If you choose this method and would like to encrypt the contents of your
+  email, you may use the [pgp key of our lead developer]({{< static
+  "pgp-pubkey/grim-pubkey.asc" >}}).
 * Use this specific
   [new issue](https://issues.imfreedom.org/newIssue?project=PIDGIN&c=visible%20to%20Pidgin%20Developers)
   link, which will create a new issue in our issue tracker while ensuring that
diff --git a/hugo/layouts/shortcodes/static.md b/hugo/layouts/shortcodes/static.md
new file mode 100644
--- /dev/null
+++ b/hugo/layouts/shortcodes/static.md
@@ -0,0 +1,7 @@
+<!-- This shortcode allows linking to static content.
+     The snippet was taken from https://github.com/gohugoio/hugo/issues/3732 -->
+{{- .Scratch.Set "path" (.Get 0) -}}
+{{- if hasPrefix (.Scratch.Get "path") "/" -}}
+  {{- .Scratch.Set "path" (slicestr (.Scratch.Get "path") 1) -}}
+{{- end -}}
+{{- .Scratch.Get "path" | absLangURL -}}
diff --git a/hugo/static/pgp-pubkey/grim-pubkey.asc b/hugo/static/pgp-pubkey/grim-pubkey.asc
new file mode 100644
--- /dev/null
+++ b/hugo/static/pgp-pubkey/grim-pubkey.asc
@@ -0,0 +1,83 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+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+=JhB9
+-----END PGP PUBLIC KEY BLOCK-----
